Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.10.9

Bug #7830 package-dependencies command errors
Submitted: 2006-06-07 23:14 UTC
From: farell Assigned: pajoye
Status: Closed Package: PEAR (version 1.4.9)
PHP Version: 4.4.2 OS: windows xp
Roadmaps: (Not assigned)    
Subscription  


 [2006-06-07 23:14 UTC] farell (Laurent Laville)
Description: ------------ while i tried to run the package-dependencies command from a DOS command box (thru pear.bat), i found : 1. a typo error E:\wamp\php4>pear -c pear.ini help package-dependencies pear package-dependencies List all depencies the package has. Have a look on PEAR/Command/Package.php (line 188) Should be: List all dependencies the package has. 2. warning messages when you give only a directory and not the full path to package xml E:\wamp\php4>pear -c pear.ini package-dependencies D:\php\pear\HTML_Progress2 while E:\wamp\php4>pear -c pear.ini package-dependencies D:\php\pear\HTML_Progress2\package2.xml gave the good results Expected result: ---------------- DEPENDENCIES FOR HTML_PROGRESS2 =============================== REQUIRED? TYPE NAME VERSIONING GROUP Yes Php (version >= 4.2.0) Yes Pear Installer (version >= 1.4.3) Yes Package pear/HTML_Common (version >= 1.2.1) Yes Package pear/Event_Dispatcher (version >= 0.9.1) No Package pear/PHP_Compat (version >= 1.4.1) No Package pear/PEAR (version >= 1.3.5) No Package pear/HTML_QuickForm (version >= 3.2.4, excl uded versions: 3.2.4) No Package pear/HTML_QuickForm_Controller (version >= 1.0.4) No Package pear/Image_Color (version >= 1.0.1) No Package pear/HTML_Page2 (version >= 0.5.0) No Package pear/HTML_Template_IT (version >= 1.1) No Package pear/HTML_Template_Sigma (version >= 1.1.2) No Package pear/Log (version >= 1.8.7) No Extension gd Actual result: -------------- Warning: fopen(D:\php\pear\HTML_Progress2): failed to open stream: Permission denied in PEAR\PackageFile.php on line 419 Warning: fread(): supplied argument is not a valid stream resource in PEAR\PackageFile.php on line 420 Warning: fclose(): supplied argument is not a valid stream resource in PEAR\PackageFile.php on line 421 could not open file "D:\php\pear\HTML_Progress2"

Comments

 [2006-06-08 00:05 UTC] pajoye (Pierre-Alain Joye)
This bug has been fixed in CVS. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better. I fixed the typo, thanks for the head up :) The warnings are fixed in cvs. PEAR_1_4 raises an error and 1.5 will detect the presence of package.xml or package2.xml and uses them.